## org.eclipse.emf.databinding.edit.internal
Class EMFEditSetProperty

    java.lang.Object
      org.eclipse.core.databinding.property.set.SetProperty
          org.eclipse.core.databinding.property.set.SimpleSetProperty
              org.eclipse.emf.databinding.internal.EMFSetProperty
                  org.eclipse.emf.databinding.edit.internal.EMFEditSetProperty

All Implemented Interfaces:
  IProperty, ISetProperty

    public class EMFEditSetProperty

extends EMFSetProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.6

Constructor Summary
`EMFEditSetProperty(EditingDomain editingDomain, EStructuralFeature eStructuralFeature)`

Method Summary
`protected void` `doSetSet(java.lang.Object source, java.util.Set set, SetDiff diff)`

Methods inherited from class org.eclipse.emf.databinding.internal.EMFSetProperty
`adaptListener, doGetSet, getElementType, getFeature, toString`

Methods inherited from class org.eclipse.core.databinding.property.set.SimpleSetProperty
`getSet, observe, setSet`

Methods inherited from class org.eclipse.core.databinding.property.set.SetProperty
`observe, observeDetail, setFactory, setFactory, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFEditSetProperty

    public EMFEditSetProperty(EditingDomain editingDomain,
                              EStructuralFeature eStructuralFeature)

Parameters:
  `editingDomain` -
  `eStructuralFeature` -

Method Detail

### doSetSet

    protected void doSetSet(java.lang.Object source,
                            java.util.Set set,
                            SetDiff diff)

  Overrides:
    `doSetSet` in class `EMFSetProperty`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.